<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{355,138,791,600}</property>
    <property name="Name">[SE_PROD.tel]</property>
    <property name="Caption">[Dados_Gerais]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="BackColor">15790320</property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayPDIVISAO,osoSayPPRINCFORN}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="Closable">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[preget_prd()
if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)

GereNomePadraoDeJpg( @oBitmap1,  { "p"+STRZERO(m_pcod,6) , "subd"+m_pdivisao , "tipo"+m_pdivisao, "cadastre_foto.jpg" } )

SET(5,1960) ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,{||posinc_prd()})]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" ]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{3,5,795,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="line">
    <style>
      <property name="Geometry">{3,30,795,2}</property>
      <property name="Name">[oLine2]</property>
    </style>
  </part>
  <part class="bitmap">
    <style>
      <property name="Geometry">{473,192,304,229}</property>
      <property name="Name">[oBitmap1]</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{410,514,129,32}</property>
      <property name="Name">[oButtonex4]</property>
      <property name="Caption">[Descontos na Venda]</property>
      <property name="TabIndex">10</property>
    </style>
    <method name="onClick">
      <![CDATA[eval({|| executaxml("se_prod_desctvda.tel"), RefreshGetlist()})]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{410,442,129,32}</property>
      <property name="Name">[oButtonex5]</property>
      <property name="Caption">[Dados_Calcadista]</property>
      <property name="TabIndex">11</property>
    </style>
    <method name="onClick">
      <![CDATA[eval({|| executaxml("se_prod_calcados.tel"), RefreshGetlist()})]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{705,429,73,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Caption">[TrocarFoto]</property>
      <property name="ToolTip">[Substitui Foto]</property>
      <property name="TabIndex">12</property>
    </style>
    <method name="onClick">
      <![CDATA[HwgJpgName("p"+STRZERO(m_pcod,6)+".jpg", , hwgCurDir+"\jpg\", "SUBSTITUIR", oBitMap1, "*.JPG;*.gif;")]]>
    </method>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{24,184,367,370}</property>
      <property name="Name">[oGroup3]</property>
      <property name="TabIndex">34</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{38,378,278,16}</property>
        <property name="Name">[oSayPservico]</property>
        <property name="Caption">[O Produto eh um Servico   (Sem Estoque)?]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">18</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{39,402,263,16}</property>
        <property name="Name">[oSayPeanpeso]</property>
        <property name="Caption">[O Codigo de Barras sera lido de Balanca?]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">19</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{42,427,268,16}</property>
        <property name="Name">[oSaypabcfisica]</property>
        <property name="Caption">[Classificacao em Giro do Produto DSQMBT:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">20</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{38,459,259,16}</property>
        <property name="Name">[oSaypabcvenda]</property>
        <property name="Caption">[Classe ABC em Vendas do Produto........:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">21</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{341,377,14,23}</property>
        <property name="Name">[oPservico]</property>
        <property name="varName">[m_Pservico]</property>
        <property name="nMaxLength">1</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">22</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{339,403,14,23}</property>
        <property name="Name">[oPeanpeso]</property>
        <property name="varName">[m_Peanpeso]</property>
        <property name="nMaxLength">1</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">23</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{337,428,14,23}</property>
        <property name="Name">[opabcfisica]</property>
        <property name="varName">[m_pabcfisica]</property>
        <property name="nMaxLength">1</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">24</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{338,454,14,23}</property>
        <property name="Name">[opabcvenda]</property>
        <property name="varName">[m_pabcvenda]</property>
        <property name="nMaxLength">1</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">25</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{43,206,87,16}</property>
        <property name="Name">[oSayPUNIDADE]</property>
        <property name="Caption">[Unidade.........:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">84</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{45,232,101,16}</property>
        <property name="Name">[oSayPnegPos]</property>
        <property name="Caption">[Lista Pis/Cofins:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">85</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{44,259,90,16}</property>
        <property name="Name">[oSayPCATEGORIA]</property>
        <property name="Caption">[CategFisc.......:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">86</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{43,286,95,16}</property>
        <property name="Name">[oSaypCodClaFis]</property>
        <property name="Caption">[Classif. Fiscal.:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">87</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{40,493,141,16}</property>
        <property name="Name">[oSayPVLUVEN3]</property>
        <property name="Caption">[Preco Ultima Compra..:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">88</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{39,520,161,16}</property>
        <property name="Name">[oSayPVLUvenda]</property>
        <property name="Caption">[Preco Venda Praticado:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">91</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{150,205,42,23}</property>
        <property name="Name">[oPUNIDADE]</property>
        <property name="varName">[m_PUNIDADE]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">99</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{150,232,14,23}</property>
        <property name="Name">[oPnegPos]</property>
        <property name="varName">[m_PnegPos]</property>
        <property name="nMaxLength">1</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">100</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{150,259,28,23}</property>
        <property name="Name">[oPCATEGORIA]</property>
        <property name="varName">[m_PCATEGORIA]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">101</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{150,285,63,23}</property>
        <property name="Name">[opCodClaFis]</property>
        <property name="varName">[m_pCodClaFis]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">102</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{215,489,63,23}</property>
        <property name="Name">[oPVLUVEN3]</property>
        <property name="varName">[m_PVLUVEN3]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">103</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{215,516,63,23}</property>
        <property name="Name">[oPVLUvenda]</property>
        <property name="varName">[m_PVLUvenda]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">106</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{45,317,114,17}</property>
        <property name="Name">[oSayPPOSICAO]</property>
        <property name="Caption">[Prateleira/Gondola:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">131</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{166,315,42,23}</property>
        <property name="Name">[oPPOSICAO]</property>
        <property name="varName">[m_PPOSICAO]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">141</property>
      </style>
    </part>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{565,558,98,32}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Confirma]</property>
      <property name="TabIndex">142</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{682,558,98,32}</property>
      <property name="Name">[oButtonex2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[Cancela]</property>
      <property name="TabIndex">143</property>
    </style>
    <method name="onClick">
      <![CDATA[Dlg_BtnCancel(modus,oDlg)]]>
    </method>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{22,38,756,108}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">144</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{31,58,68,16}</property>
        <property name="Name">[oSayPCOD]</property>
        <property name="Caption">[Codigo....:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,93,74,16}</property>
        <property name="Name">[oSaypdic6]</property>
        <property name="Caption">[Cod Barras:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,122,67,16}</property>
        <property name="Name">[oSayPREFFAB]</property>
        <property name="Caption">[Ref/Fab...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,58,84,16}</property>
        <property name="Name">[oSayPDESC]</property>
        <property name="Caption">[Descricao.:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,93,84,16}</property>
        <property name="Name">[oSayPDIVISAO]</property>
        <property name="Caption">[Divisao...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,122,84,16}</property>
        <property name="Name">[oSayPPRINCFORN]</property>
        <property name="Caption">[Fabricante:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{404,86,243,23}</property>
        <property name="Name">[osoSayPDIVISAO]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{399,115,243,23}</property>
        <property name="Name">[osoSayPPRINCFORN]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,58,98,23}</property>
        <property name="Name">[oPCOD]</property>
        <property name="varName">[m_PCOD]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,86,98,23}</property>
        <property name="Name">[opdic6]</property>
        <property name="varName">[m_pdic6]</property>
        <property name="nMaxLength">13</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,115,112,23}</property>
        <property name="Name">[oPREFFAB]</property>
        <property name="varName">[m_PREFFAB]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,58,418,23}</property>
        <property name="Name">[oPDESC]</property>
        <property name="varName">[m_PDESC]</property>
        <property name="nMaxLength">30</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">12</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[alltrim(m_pdesc)<>""]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,86,51,23}</property>
        <property name="Name">[oPDIVISAO]</property>
        <property name="varName">[m_PDIVISAO]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">13</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','',,oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{372,93,16,16}</property>
        <property name="Name">[oboPDIVISAO]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">14</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','','EXIBA',oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,115,51,23}</property>
        <property name="Name">[oPPRINCFORN]</property>
        <property name="varName">[m_PPRINCFORN]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">15</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','',,oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{372,122,16,16}</property>
        <property name="Name">[oboPPRINCFORN]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">16</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','','EXIBA',oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{317,8,166,19}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Cadastro de Produtos]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">145</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{410,476,129,32}</property>
      <property name="Name">[oButtonex3]</property>
      <property name="Caption">[PrecoMinimoVenda]</property>
      <property name="TabIndex">146</property>
    </style>
    <method name="onClick">
      <![CDATA[eval({|| executaxml("se_prod_pontoeq.tel"), RefreshGetlist()})]]>
    </method>
  </part>
</part>
